:root {
    --width: 1200px;
    --red: rgb(248, 68, 43);
    --text: black;
    --background-color: white;
    --inverse-background-color: #070110;
    --inverse-text: white;
}

@media (prefers-color-scheme: dark) {
    :root {
        --text: white;
        --background-color: #070110;
        --inverse-background-color: #b09fe4;
        --inverse-text: black;
    } 
}


* {
    margin: 0;
}

body {
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
    margin: auto;
    background-color: var(--background-color);
}

a {
    text-decoration-line: none;
}

.prevent-select {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}


header {
    position: sticky;
    top: 0;
    display: flex;
    padding: 24px;
    align-items: center;
    align-self: stretch;
    backdrop-filter: blur(10px);
    margin: 0;
}

header .section {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 32px;
    flex: 1 0 0;
    margin: 0;
}

header .section p {
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0
}

header .section p:hover {
    text-decoration: underline;
}

#logo {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

#logo-text {
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration: none;
}

#logo-text:hover {
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration: none;
}

#logo-icon {
    width: 17px;
    height: 17px;
    aspect-ratio: 1/1;
}

section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;
    width: 100%;
    padding: 56px 0;
}

.area-content {
    width: stretch;
    display: flex;
    max-width: var(--width);
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;
    align-self: stretch;
    margin: auto;
    padding: 0px 42px;
}

h1 {
    color: var(--text);
    font-family: Lexend;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

h2 {
    color: var(--text);
    font-family: Lexend;
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

h3 {
    color: var(--text);
    font-family: Lexend;
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

h5 {
    color: var(--text);
    font-family: Lexend;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

p {
    color: var(--text);
    font-family: Lexend;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.with_image {
    display: flex;
    align-items: flex-start;
    gap: 42px;
    align-self: stretch;
}

.with_image-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    flex: 1 0 0;
}



.area-content .with_image div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    flex: 1 0 0;
}

.area-content-data {
    display: flex;
    height: 108.438px;
    justify-content: space-around;
    align-items: center;
    align-self: stretch;
    text-align: center;
}

.grid {
    display: inline-grid;
    row-gap: 42px;
    column-gap: 42px;
    align-self: stretch;
    grid-template-columns: repeat(2,minmax(0,1fr));
    width: device-width;
}

.grid div {
    display: flex;
    text-align: center;
    border-radius: 16px;
    background-color: var(--red);
    align-self: stretch;
    align-items: center;
    justify-content: center;
    height: 128px;
    justify-self: stretch;
    padding: 0 16px;
}


#creation p {
    color: --var(--inverse-text);
}

#creation h1 {
    color: var(--inverse-text);
}

#creation h2 {
    color: var(--inverse-text);
}

.banner {
    display: flex;
    padding: 32px 8px;
    justify-content: center;
    align-items: center;
    gap: 32px;

    h1 {
        font-size: 42px; 
        text-align: right;
    }

    .area-content {
        align-items: flex-end;
        justify-content: center; 
        padding: 0px; 
        gap: unset;
    }

    img {
        width: stretch;
    }
}

.banner img {
    width: stretch;
}

#creation picture a div {
    display: none;
}

.tile-placement {
    flex-direction: row;
    display: flex;
    align-items: flex-start;
    gap: 64px;
    flex: 1 0 0;
}

.tile-container {
    width: stretch;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 64px;
    flex: 1 0 0;
}

tile {
    display: flex;
    padding: 32px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
    border-radius: 32px;
    background-color: var(--background-color)
}

#creation {
    background-color: var(--inverse-background-color);
}

#creation tile h3 {
    flex: 1 0 0;
    color: var(--text);
}

#creation tile .title {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

#creation tile svg {
    fill: var(--text);
}

#creation tile p {
    color: var(--text);
}

footer {
    display: flex;
    width: stretch;
    height: fit-content;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 16px;
    overflow: hidden; 
    /* background-image: url(image.png); */
    background-size: cover; 
    background-position: center;
    padding: 64px;
}

footer div {
    display: flex; 
    flex-direction: row; 
    align-items: center; 
    gap: 32px;
    flex-wrap: wrap;
}

footer svg {
    fill: var(--text);
}

@media (max-width: 768px) {
    .with_image {
        flex-direction: column;
        align-items: center;
    }

    .banner {
        flex-direction: column;
        p {
            display: none;
        }

        h1 {
            text-align: center;
        }

        img {
            max-width: 90%;
        }

        .area-content {
            align-items: center;
        }
    }

    #logo-text {
        display: none;
    }

    header .section {
        gap: 16px;
        justify-content: center;
    }

    header {
        padding: 16px;
    }

    .area-content {
        flex-direction: column;
    }

    .area-content-data {
        flex-direction: column;
        justify-content: space-around;
    }

    .grid {
        grid-template-columns: repeat(1,minmax(0,1fr));
    }

    .tile-placement {
        flex-direction: column;
    }
}

@media (max-width: 500px) {
    header {
        display: none;
    }
}